

package gov.va.med.cds.template;


import gov.va.med.cds.clinicaldata.TemplateMetaDataInterface;
import gov.va.med.cds.xml.schema.SchemaHelperInterface;


public interface TemplateCacheModelInterface
{
    String getTemplateId( );


    TemplateMetaDataInterface getTemplateMetaData( );


    void setTemplateMetaData( TemplateMetaDataInterface aTemplateMetaData );


    SchemaHelperInterface getSchemaHelper( );


    void setSchemaHelper( SchemaHelperInterface aSchemaHelper );


    long getLoadedIntoCache( );


    void setLoadedIntoCache( long aLoadedIntoCache );


    long getTimeInCache( );
}
